Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## dioscuri
Interface GUI

All Known Implementing Classes:
  DioscuriFrame

    public interface GUI

Author:
  Bram Lohman, Bart Kiers

Field Summary
`static int` | `EMU_DEVICES_MOUSE_DISABLED`
`static int` | `EMU_DEVICES_MOUSE_ENABLED`
`static int` | `EMU_FLOPPYA_EJECT`
`static int` | `EMU_FLOPPYA_INSERT`
`static int` | `EMU_FLOPPYA_TRANSFER_START`
`static int` | `EMU_FLOPPYA_TRANSFER_STOP`
`static int` | `EMU_HD1_EJECT`
`static int` | `EMU_HD1_INSERT`
`static int` | `EMU_HD1_TRANSFER_START`
`static int` | `EMU_HD1_TRANSFER_STOP`
`static int` | `EMU_HD2_EJECT`
`static int` | `EMU_HD2_INSERT`
`static int` | `EMU_HD2_TRANSFER_START`
`static int` | `EMU_HD2_TRANSFER_STOP`
`static int` | `EMU_KEYBOARD_CAPSLOCK_OFF`
`static int` | `EMU_KEYBOARD_CAPSLOCK_ON`
`static int` | `EMU_KEYBOARD_NUMLOCK_OFF`
`static int` | `EMU_KEYBOARD_NUMLOCK_ON`
`static int` | `EMU_KEYBOARD_SCROLLLOCK_OFF`
`static int` | `EMU_KEYBOARD_SCROLLLOCK_ON`
`static int` | `EMU_PROCESS_RESET`
`static int` | `EMU_PROCESS_START`
`static int` | `EMU_PROCESS_STOP`
`static int` | `GUI_RESET`
`static int` | `GUI_X_LOCATION`
`static int` | `GUI_Y_LOCATION`
`static int` | `KEY_PRESSED`
`static int` | `KEY_RELEASED`
`static int` | `KEY_TYPED`

Method Summary
`javax.swing.JFrame` | `asJFrame()`
`java.lang.String` | `getConfigFilePath()`
`dioscuri.config.Emulator` | `getEmuConfig()`
`void` | `notifyGUI(int emuProcess)`
`void` | `setCpuTypeLabel(java.lang.String cpuType)` Display the CPU type (16 or 32 bit)
`boolean` | `setMouseDisabled()`
`boolean` | `setMouseEnabled()`
`void` | `setScreen(javax.swing.JPanel screen)`
`void` | `updateGUI(int activity)`

Field Detail

### GUI_X_LOCATION

    static final int GUI_X_LOCATION

See Also:
  Constant Field Values

### GUI_Y_LOCATION

    static final int GUI_Y_LOCATION

See Also:
  Constant Field Values

### EMU_PROCESS_START

    static final int EMU_PROCESS_START

See Also:
  Constant Field Values

### EMU_PROCESS_STOP

    static final int EMU_PROCESS_STOP

See Also:
  Constant Field Values

### EMU_PROCESS_RESET

    static final int EMU_PROCESS_RESET

See Also:
  Constant Field Values

### EMU_FLOPPYA_INSERT

    static final int EMU_FLOPPYA_INSERT

See Also:
  Constant Field Values

### EMU_FLOPPYA_EJECT

    static final int EMU_FLOPPYA_EJECT

See Also:
  Constant Field Values

### EMU_HD1_INSERT

    static final int EMU_HD1_INSERT

See Also:
  Constant Field Values

### EMU_HD1_EJECT

    static final int EMU_HD1_EJECT

See Also:
  Constant Field Values

### EMU_HD1_TRANSFER_START

    static final int EMU_HD1_TRANSFER_START

See Also:
  Constant Field Values

### EMU_HD1_TRANSFER_STOP

    static final int EMU_HD1_TRANSFER_STOP

See Also:
  Constant Field Values

### EMU_KEYBOARD_NUMLOCK_ON

    static final int EMU_KEYBOARD_NUMLOCK_ON

See Also:
  Constant Field Values

### EMU_KEYBOARD_NUMLOCK_OFF

    static final int EMU_KEYBOARD_NUMLOCK_OFF

See Also:
  Constant Field Values

### EMU_KEYBOARD_CAPSLOCK_ON

    static final int EMU_KEYBOARD_CAPSLOCK_ON

See Also:
  Constant Field Values

### EMU_KEYBOARD_CAPSLOCK_OFF

    static final int EMU_KEYBOARD_CAPSLOCK_OFF

See Also:
  Constant Field Values

### EMU_KEYBOARD_SCROLLLOCK_ON

    static final int EMU_KEYBOARD_SCROLLLOCK_ON

See Also:
  Constant Field Values

### EMU_KEYBOARD_SCROLLLOCK_OFF

    static final int EMU_KEYBOARD_SCROLLLOCK_OFF

See Also:
  Constant Field Values

### EMU_FLOPPYA_TRANSFER_START

    static final int EMU_FLOPPYA_TRANSFER_START

See Also:
  Constant Field Values

### EMU_FLOPPYA_TRANSFER_STOP

    static final int EMU_FLOPPYA_TRANSFER_STOP

See Also:
  Constant Field Values

### EMU_DEVICES_MOUSE_ENABLED

    static final int EMU_DEVICES_MOUSE_ENABLED

See Also:
  Constant Field Values

### EMU_DEVICES_MOUSE_DISABLED

    static final int EMU_DEVICES_MOUSE_DISABLED

See Also:
  Constant Field Values

### EMU_HD2_TRANSFER_START

    static final int EMU_HD2_TRANSFER_START

See Also:
  Constant Field Values

### EMU_HD2_TRANSFER_STOP

    static final int EMU_HD2_TRANSFER_STOP

See Also:
  Constant Field Values

### EMU_HD2_INSERT

    static final int EMU_HD2_INSERT

See Also:
  Constant Field Values

### EMU_HD2_EJECT

    static final int EMU_HD2_EJECT

See Also:
  Constant Field Values

### GUI_RESET

    static final int GUI_RESET

See Also:
  Constant Field Values

### KEY_PRESSED

    static final int KEY_PRESSED

See Also:
  Constant Field Values

### KEY_RELEASED

    static final int KEY_RELEASED

See Also:
  Constant Field Values

### KEY_TYPED

    static final int KEY_TYPED

See Also:
  Constant Field Values

Method Detail

### asJFrame

    javax.swing.JFrame asJFrame()

  Returns:
    -

### getEmuConfig

    dioscuri.config.Emulator getEmuConfig()

  Returns:
    -

### getConfigFilePath

    java.lang.String getConfigFilePath()

  Returns:
    -

### notifyGUI

    void notifyGUI(int emuProcess)

  Parameters:
    `emuProcess` -

### updateGUI

    void updateGUI(int activity)

  Parameters:
    `activity` -

### setScreen

    void setScreen(javax.swing.JPanel screen)

  Parameters:
    `screen` -

### setMouseEnabled

    boolean setMouseEnabled()

  Returns:
    -

### setMouseDisabled

    boolean setMouseDisabled()

  Returns:
    -

### setCpuTypeLabel

    void setCpuTypeLabel(java.lang.String cpuType)

  Display the CPU type (16 or 32 bit)

  Parameters:
    `cpuType` - the CPU type

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD